Skip to main content
`Ctrl`+`K`

# SNESConvergedReasonView

Displays the reason a `SNES` solve converged or diverged to a viewer

## Synopsis

    #include "petscsnes.h"
    #include "petscsnes.h"
    PetscErrorCode SNESConvergedReasonView(SNES snes, PetscViewer viewer)

Collective

## Input Parameters

- snes - iterative context obtained from `SNESCreate()`

- viewer - the viewer to display the reason

## Options Database Keys

- -snes_converged_reason - print reason for converged or diverged, also prints number of iterations

- -snes_converged_reason ::failed - only print reason and number of iterations when diverged

## Note

To change the format of the output call `PetscViewerPushFormat`(viewer,format) before this call. Use `PETSC_VIEWER_DEFAULT` for the default, use `PETSC_VIEWER_FAILED` to only display a reason if it fails.

## See Also

SNES: Nonlinear Solvers, `SNESConvergedReason`, `PetscViewer`, `SNES`, `SNESCreate()`, `SNESSetUp()`, `SNESDestroy()`, `SNESSetTolerances()`, `SNESConvergedDefault()`, `SNESGetConvergedReason()`, `SNESConvergedReasonViewFromOptions()`, `PetscViewerPushFormat()`, `PetscViewerPopFormat()`

## Level

beginner

## Location

src/snes/interface/snes.c

## Examples

src/snes/tutorials/ex1f.F90

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages